//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#ifndef MyGunMessenger_h
#define MyGunMessenger_h 1

#include "G4UImessenger.hh"
#include "globals.hh"

class MyGun;
class G4UIdirectory;
class G4UIcmdWithAString;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class MyGunMessenger: public G4UImessenger
{
public:
  MyGunMessenger(MyGun*);
  virtual ~MyGunMessenger();
    
  void SetNewValue(G4UIcommand*, G4String);
    
private:
  MyGun* myGun;
  G4UIdirectory*          gunDir; 
  G4UIcmdWithAString*     particleNameCmd;
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif

